2

I am trying to replace the default syslog by syslog-ng.

syslog-ng is our standard and we want to use that syslog agent.

root@VirtualBox:~# apt-get install syslog-ng
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 syslog-ng : Depends: syslog-ng-core (>= 3.5.3)
             Depends: syslog-ng-mod-sql
             Depends: syslog-ng-mod-mongodb
             Depends: syslog-ng-mod-json
             Recommends: syslog-ng-mod-smtp
             Recommends: syslog-ng-mod-amqp
             Recommends: syslog-ng-mod-geoip
             Recommends: syslog-ng-mod-redis
             Recommends: syslog-ng-mod-stomp
E: Unable to correct problems, you have held broken packages.

1 Answer 1

2

You have to install syslog-ng-core and syslog-ng at the same time:

sudo apt-get install syslog-ng-core syslog-ng
2
  • Hi Tung, this works like a charm ! Thanks a lot . Joeri
    – user185396
    Dec 25, 2015 at 11:15
  • are there ubuntu specific guides?
    – Thufir
    Jun 9, 2017 at 6:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy